## octave-miscellaneous 1.0.6

=== DESCRIPTION ===
Name: Miscellaneous
Version: 1.0.6
Date: 2008-04-29
Author: Various Authors
Maintainer: The Octave Community
Title: Miscellaneous functions
Description: Miscellaneous tools including waitbar, xml tools, etc
Categories: Miscellaneous
Depends: octave (>= 2.9.16)
Autoload: yes
SystemRequirements: units
BuildRequires: termcap-devel
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
sinclude Makeconf

ifdef HAVE_LIB_TERMCAP
	TERM_LIB=-ltermcap
endif

ifdef HAVE_FORK
	LISTEN=listen.oct
else
	LISTEN=
endif

TARGETS=waitbar.oct $(LISTEN) xmlread.oct  hex2num.cc \
	csvexplode.oct csv2cell.oct csvconcat.oct cell2csv.oct

all:	$(TARGETS)

waitbar.oct:	waitbar.cc
	$(MKOCTFILE) $(MISCDEFS) waitbar.cc $(TERM_LIB)

listen.oct: listen.o listencanfork.o stringmatch.o
	$(MKOCTFILE) listen.o listencanfork.o stringmatch.o

listen.o: listen.cc
	$(MKOCTFILE) -c $(MISCDEFS) listen.cc

listencanfork.o: listencanfork.c
	$(MKOCTFILE) -c listencanfork.c

stringmatch.o: stringmatch.c
	$(MKOCTFILE) -c stringmatch.c

xmltree.o: xmltree.c xmltree.h
	$(MKOCTFILE) $(MISCDEFS) -c $<

ifdef FLEXML
# flexml is a dead project.  It requires flex 2.5.4a-6  (flex-old on Debian).
# Further, we have modified the resulting xmltree_read.c by hand, changing
# all occurrences of yy to xml_ and YY to XML_. Some other changes have be
# mode so the ouput of flexml won't be as correct as the actual committed C
# file
xmltree_read.l: xmltree_read.act octave.dtd
	 $(FLEXML) -A -a $^
xmltree_read.c: xmltree_read.l
	$(FLEX) -B -Pxml_ -o$@ $<
endif

xmltree_read.o: xmltree_read.c xmltree_read.h
	$(MKOCTFILE) $(MISCDEFS) -c $<

xmlread.o: xmlread.cc xmltree_read.h xmltree.h
	$(MKOCTFILE) $(MISCDEFS) -c $<

xmlread.oct: xmlread.o xmltree_read.o xmltree.o
	$(MKOCTFILE) $^

csvexplode.oct: csvexplode.cc
	$(MKOCTFILE) $(MISCDEFS) $<

csv2cell.oct: csv2cell.cc
	$(MKOCTFILE) $(MISCDEFS) $<

csvconcat.oct: csvconcat.cc
	$(MKOCTFILE) $(MISCDEFS) $<

cell2csv.oct: cell2csv.cc
	$(MKOCTFILE) $(MISCDEFS) $<

hex2num.oct: hex2num.cc
	$(MKOCTFILE) $(MISCDEFS) $<

clean: ; -$(RM) *.o octave-core core *.oct *~ $(t2.1.58)

## octave-miscellaneous 1.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Miscellaneous
-Version: 1.0.6
-Date: 2008-04-29
+Version: 1.0.8
+Date: 2009-05-03
 Author: Various Authors
 Maintainer: The Octave Community
 Title: Miscellaneous functions

=== src/Makefile ===
--- 
+++ 
@@ -2,12 +2,6 @@
 
 ifdef HAVE_LIB_TERMCAP
 	TERM_LIB=-ltermcap
-endif
-
-ifdef HAVE_FORK
-	LISTEN=listen.oct
-else
-	LISTEN=
 endif
 
 TARGETS=waitbar.oct $(LISTEN) xmlread.oct  hex2num.cc \
@@ -18,11 +12,11 @@
 waitbar.oct:	waitbar.cc
 	$(MKOCTFILE) $(MISCDEFS) waitbar.cc $(TERM_LIB)
 
-listen.oct: listen.o listencanfork.o stringmatch.o
-	$(MKOCTFILE) listen.o listencanfork.o stringmatch.o
+server.oct: server.o listencanfork.o stringmatch.o
+	$(MKOCTFILE) server.o listencanfork.o stringmatch.o
 
-listen.o: listen.cc
-	$(MKOCTFILE) -c $(MISCDEFS) listen.cc
+server.o: server.cc
+	$(MKOCTFILE) -c $(MISCDEFS) server.cc
 
 listencanfork.o: listencanfork.c
 	$(MKOCTFILE) -c listencanfork.c

## octave-miscellaneous 1.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: Miscellaneous
-Version: 1.0.8
+Version: 1.0.9
 Date: 2009-05-03
 Author: Various Authors
 Maintainer: The Octave Community

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	TERM_LIB=-ltermcap
 endif
 
-TARGETS=waitbar.oct $(LISTEN) xmlread.oct  hex2num.cc \
+TARGETS=waitbar.oct $(LISTEN) xmlread.oct  hex2num.oct \
 	csvexplode.oct csv2cell.oct csvconcat.oct cell2csv.oct
 
 all:	$(TARGETS)

## octave-miscellaneous 1.0.11

=== DESCRIPTION ===
Name: Miscellaneous
Version: 1.0.11
Date: 2011-02-25
Author: Various Authors
Maintainer: The Octave Community
Title: Miscellaneous functions
Description: Miscellaneous tools that don't fit somewhere else.
Categories: Miscellaneous
Depends: octave (>= 3.2.4)
Autoload: yes
SystemRequirements: units
BuildRequires: termcap-devel
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
--- 
+++ 
@@ -4,12 +4,13 @@
 	TERM_LIB=-ltermcap
 endif
 
-TARGETS=waitbar.oct $(LISTEN) xmlread.oct  hex2num.oct \
-	csvexplode.oct csv2cell.oct csvconcat.oct cell2csv.oct
+TARGETS=waitbar.oct $(LISTEN) xmlread.oct  \
+	csvexplode.oct csv2cell.oct csvconcat.oct cell2csv.oct \
+	cell2cell.oct partarray.oct
 
 all:	$(TARGETS)
 
-waitbar.oct:	waitbar.cc
+waitbar.oct: waitbar.cc
 	$(MKOCTFILE) $(MISCDEFS) waitbar.cc $(TERM_LIB)
 
 server.oct: server.o listencanfork.o stringmatch.o
@@ -60,7 +61,10 @@
 cell2csv.oct: cell2csv.cc
 	$(MKOCTFILE) $(MISCDEFS) $<
 
-hex2num.oct: hex2num.cc
+cell2cell.oct: cell2cell.cc
+	$(MKOCTFILE) $(MISCDEFS) $<
+
+partarray.oct: partarray.cc
 	$(MKOCTFILE) $(MISCDEFS) $<
 
 clean: ; -$(RM) *.o octave-core core *.oct *~ $(t2.1.58)

=== debian/changelog ===
octave-miscellaneous (1.0.11-1) unstable; urgency=low

  * New upstream release (Closes: #626264)
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571851)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Bump Standards-Version to 3.9.1, no changes needed
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Thu, 12 May 2011 20:57:43 +0200

octave-miscellaneous (1.0.9-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release 
  * Removed patches (applied upstream): 
    - autoload-num2hex 
    - build-hex2num
    - cell2csv-str-find
  * Use octave-miscellaneous.docs for installation of documentation, following
    the change in octave-pkg-dev 0.7.1

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 22 Nov 2009 14:55:12 +0100

octave-miscellaneous (1.0.8-1) unstable; urgency=low

  * New upstream release
  * debian/patches/build-hex2num: Adjust patch for new upstream version
  * debian/patches/cell2csv-str-find: Fix bug related to the return type
    of the str.find() function
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (add file debian/README.source)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/patches/{autoload-num2hex,build-hex2num,special_matrix_lauchli}:
    Add description
  * debian/copyright: Use DEP5 URL in Format-Specification

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 15:12:40 +0200

octave-miscellaneous (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 05 Apr 2009 20:53:36 +0200

octave-miscellaneous (1.0.7-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file

  [ Thomas Weber ]
  * New upstream release
  * Drop patches/waitbar_null_pointer_guard; applied upstream
  * Bumpd dependency on octave-pkg-dev to 0.6.1, to get new version in
    experimental
  * Add units to both build-depends and depends, the package needs it for unit
    tests

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 30 Nov 2008 23:39:44 +0100

octave-miscellaneous (1.0.6.4) unstable; urgency=low

  * New patch:
    + waitbar_null_pointer_guard: Check that the return values from tgetstr()
    are non-zero (closes: 485920).
  * Bump standards version to 3.8.0, no changes needed.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 30 Jun 2008 09:25:13 +0200

octave-miscellaneous (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 12 May 2008 10:29:48 +0200

octave-miscellaneous (1.0.5-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * Initial release (closes: #468509)

  [ Thomas Weber ]
  * Add lauchli.m from special-matrix package, avoiding the need for a
    package (special-matrix) for just one file.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Fri, 04 Apr 2008 22:02:13 +0200

=== debian/control ===
Source: octave-miscellaneous
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0), units
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/miscellaneous
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-miscellaneous.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-miscellaneous.git

Package: octave-miscellaneous
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}, units
Description: miscellaneous tools for Octave
 This package provides miscellaneous tools for Octave, a numerical
 computation program. Included are functions to create a LaTeX file
 from a comma separated data file (csv2latex), map matrices and
 cells (map), a match filter that resembles the filter in Python
 (match) and many more.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/miscellaneous-([\d.]+)\.tar\.gz\?download

## octave-miscellaneous 1.1.0

=== DESCRIPTION ===
Name: Miscellaneous
Version: 1.1.0
Date: 2012-03-24
Author: various authors
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: Miscellaneous functions
Description: Miscellaneous tools that don't fit somewhere else.
Categories: Miscellaneous
Depends: octave (>= 3.6.0)
Autoload: no
SystemRequirements: units
BuildRequires: termcap-devel [Debian] libncurses5-dev
License: GPLv3+
Url: http://octave.sf.net

=== src/Makefile ===
all: cell2cell.oct partarray.oct sample.oct text_waitbar.oct 

MKOCTFILE = mkoctfile -Wall

%.oct: %.cc
	$(MKOCTFILE) $<

clean:
	rm -f *.o octave-core core *.oct *~

=== debian/changelog ===
octave-miscellaneous (1.1.0-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 1.1.0
  * debian/patches/match-cell-array.patch: remove patch (applied upstream)
  * debian/patches/waitbar-rename.patch: remove patch (applied upstream)
  * debian/patches/no-flexml.patch: remove obsolete patch, flex no longer used
    (Closes: #666294)
  * debian/copyright: reflect upstream changes
  * debian/octave-miscellaneous.docs: remove, no more docs in the package
  * debian/clean: remove obsolete file
  * debian/rules: remove hack for wrong permissions in upstream tarball

  [ Rafael Laboissiere ]
  * debian/watch: Use the SourceForge redirector

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 02 Apr 2012 13:20:23 +0000

octave-miscellaneous (1.0.11-3) unstable; urgency=low

  * debian/patches/no-flexml.patch: new patch

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 20 Mar 2012 20:16:34 +0000

octave-miscellaneous (1.0.11-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Bump the debhelper compatibility level to 9
  * debian/control: Bump standards version to 3.9.3, no changes needed

  [ Sébastien Villemot ]
  * Add Sébastien Villemot to Uploaders
  * Build-Depend on octave-pkg-dev >= 1.0.0
  * debian/copyright: update using machine-readable format 1.0
  * debian/patches/match-cell-array.patch: new patch
  * debian/rules: fix wrong +x perms in upstream tarball
  * debian/patches/waitbar-rename.patch: new patch

 -- Thomas Weber <tweber@debian.org>  Sun, 11 Mar 2012 23:14:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>
+Uploaders: Thomas Weber <tweber@debian.org>,
+           Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0), units
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9.0.0), cdbs, octave-pkg-dev (>= 1.0.0), units
+Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/miscellaneous
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-miscellaneous.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-miscellaneous.git

## octave-miscellaneous 1.2.0

=== DESCRIPTION ===
Name: Miscellaneous
Version: 1.2.0
Date: 2012-10-16
Author: various authors
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: Miscellaneous functions
Description: Miscellaneous tools that don't fit somewhere else.
Categories: Miscellaneous
Depends: octave (>= 3.6.0), general (>= 1.3.1)
Autoload: no
SystemRequirements: units
BuildRequires: termcap-devel [Debian] libncurses5-dev
License: GPLv3+
Url: http://octave.sf.net

=== src/Makefile ===
MKOCTFILE = mkoctfile -Wall

PROGS = $(patsubst %.cc,%.oct,$(wildcard *.cc))

all: $(PROGS)

%.oct: %.cc
	$(MKOCTFILE) $<

clean:
	rm -f *.o octave-core core *.oct *~

=== debian/changelog ===
octave-miscellaneous (1.2.0-2build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 18:26:26 +0000

octave-miscellaneous (1.2.0-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 May 2013 17:39:12 +0200

octave-miscellaneous (1.2.0-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.0
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Refresh for new upstream release
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * Add patch autoload-yes.patch
  * Add copyright info for file lauchli.m (included in a Debian patch)
  * Add patch partcnt-test-succeeds.patch
  * Build-depends on octave-pkg-dev >= 1.0.3

  [ Sébastien Villemot ]
  * debian/control: fix versioned dependency on debhelper
  * Add lintian override for false positive on hardening (fortify)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 17 Oct 2012 13:40:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9.0.0), cdbs, octave-pkg-dev (>= 1.0.0), units
-Standards-Version: 3.9.3
+           Sébastien Villemot <sebastien@debian.org>
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.3), units
+Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/miscellaneous
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-miscellaneous.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-miscellaneous.git

## octave-miscellaneous 1.2.1

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MKOCTFILE = mkoctfile -Wall
+MKOCTFILE ?= mkoctfile -Wall
 
 PROGS = $(patsubst %.cc,%.oct,$(wildcard *.cc))

=== debian/changelog ===
octave-miscellaneous (1.2.1-5) unstable; urgency=medium

  * Team upload

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Sébastien Villemot ]
  * Revert "d/rules: Use override_dh_installdeb for post-install actions"

  [ Rafael Laboissiere ]
  * d/rules: Use override_dh_installdeb for post-install actions
  * d/p/special_matrix_lauchli: Add DEP-3 header
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:34 -0200

octave-miscellaneous (1.2.1-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:33:25 -0200

octave-miscellaneous (1.2.1-3) unstable; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Remove myself and Thomas Weber from Uploaders
    + Use secure URIs in the Vcs-* fields
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:54 -0200

octave-miscellaneous (1.2.1-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Add Rafael Laboissiere and Mike Miller to Uploaders.

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * debian/copyright: Comply with DEP-5 specification
  * Make physical_constant.py script non-executable

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 21 Sep 2014 11:53:45 +0200

octave-miscellaneous (1.2.1-1) unstable; urgency=medium

  [ Thomas Weber ]
  * Imported Upstream version 1.2.1
    - partarray.cc was removed upstream, making it no longer a problem for
      clang (closes: #749154)
  * Drop unused lintian override: hardening-no-fortify-functions
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.5, no changes needed

 -- Thomas Weber <tweber@debian.org>  Mon, 09 Jun 2014 15:43:35 +0200

=== debian/control ===
Source: octave-miscellaneous
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave,
               units
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/miscellaneous/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-miscellaneous.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-miscellaneous
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-miscellaneous
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}, units
Description: miscellaneous tools for Octave
 This package provides miscellaneous tools for Octave, a numerical
 computation program. Included are functions to create a LaTeX file
 from a comma separated data file (csv2latex), map matrices and
 cells (map), a match filter that resembles the filter in Python
 (match) and many more.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

INSTDIR = $(CURDIR)/debian/octave-miscellaneous
override_dh_auto_install:
	dh_auto_install
	chmod -x $$(find $(INSTDIR)/ -name physical_constant.py)

## octave-miscellaneous 1.3.0

=== Makefile ===
## Makefile to simplify Octave Forge package maintenance tasks

PACKAGE = $(shell $(SED) -n -e 's/^Name: *\(\w\+\)/\1/p' DESCRIPTION | $(TOLOWER))
VERSION = $(shell $(SED) -n -e 's/^Version: *\(\w\+\)/\1/p' DESCRIPTION | $(TOLOWER))
DEPENDS = $(shell $(SED) -n -e 's/^Depends[^,]*, \(.*\)/\1/p' DESCRIPTION | $(SED) 's/ *([^()]*),*/ /g')

RELEASE_DIR     = $(PACKAGE)-$(VERSION)
RELEASE_TARBALL = $(PACKAGE)-$(VERSION).tar.gz
HTML_DIR        = $(PACKAGE)-html
HTML_TARBALL    = $(PACKAGE)-html.tar.gz

MD5SUM    ?= md5sum
SED       ?= sed
TAR       ?= tar
GREP      ?= grep

HG           := hg
HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))

TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)

# Follow jwe suggestion on not hinreting these vars from
# the enviroment, so they can be set as command line arguemnts
MKOCTFILE := mkoctfile
OCTAVE    := octave --no-gui

TOLOWER = $(SED) -e 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/'

AUTOCONF_TARGETS := src/configure src/Makefile

CC_SOURCES  := $(wildcard src/*.cc)
PKG_ADD     := $(shell $(GREP) -sPho '(?<=(//|\#\#) PKG_ADD: ).*' \
                         $(CC_SOURCES))

.PHONY: help dist html release install all check run doc clean maintainer-clean

help:
	@echo "Targets:"
	@echo "   dist             - Create $(RELEASE_TARBALL) for release"
	@echo "   html             - Create $(HTML_TARBALL) for release"
	@echo "   release          - Create both of the above and show md5sums"
	@echo
	@echo "   install          - Install the package in GNU Octave"
	@echo "   all              - Build all oct files"
	@echo "   check            - Execute package tests (w/o install)"
	@echo "   run              - Run Octave with development in PATH (no install)"
	@echo "   doc              - Build Texinfo package manual"
	@echo
	@echo "   clean            - Remove releases, html documentation, and oct files"
	@echo "   maintainer-clean - Additionally remove all generated files"

$(RELEASE_DIR): .hg/dirstate
	@echo "Creating package version $(VERSION) release ..."
	-rm -rf $@
	$(HG) archive --exclude ".hg*" --exclude Makefile --type files $@
	cd "$@/src" && $(SHELL) ./bootstrap && $(RM) -r "autom4te.cache"
	chmod -R a+rX,u+w,go-w $@

$(RELEASE_TARBALL): $(RELEASE_DIR)
	$(TAR) -cf - $(TAR_OPTIONS) "$(notdir $<)" | gzip -9n > "$@"
	-rm -rf $<

$(HTML_DIR): install
	@echo "Generating HTML documentation. This may take a while ..."
	-rm -rf $@
	$(OCTAVE) --silent \
	  --eval 'graphics_toolkit ("gnuplot");' \
	  --eval 'pkg load generate_html $(PACKAGE);' \
	  --eval 'generate_package_html ("$(PACKAGE)", "$@", "octave-forge");'
	chmod -R a+rX,u+w,go-w $@

$(HTML_TARBALL): $(HTML_DIR)
	$(TAR) -cf - $(TAR_OPTIONS) "$(notdir $<)" | gzip -9n > "$@"
	-rm -rf $<

dist: $(RELEASE_TARBALL)

html: $(HTML_TARBALL)

release: dist html
	@$(MD5SUM) $(RELEASE_TARBALL) $(HTML_TARBALL)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "Execute: hg tag \"$(VERSION)\""

install: $(RELEASE_TARBALL)
	@echo "Installing package locally ..."
	$(OCTAVE) --silent --eval 'pkg install $(RELEASE_TARBALL);'

all:  autoconf_target
	cd src && $(MAKE) $@

check: all
	$(OCTAVE) --silent \
	  --eval 'if(!isempty("$(DEPENDS)")); pkg load $(DEPENDS); endif;' \
	  --eval '$(PKG_ADD); ' \
	  --eval 'addpath (fullfile ([pwd filesep "inst"]));' \
	  --eval 'addpath (fullfile ([pwd filesep "src"]));' \
	  --eval 'runtests ("inst"); runtests ("src");'

run: all
	$(OCTAVE) --silent --persist \
          --eval 'if(!isempty("$(DEPENDS)")); pkg load $(DEPENDS); endif;' \
	  --eval 'addpath (fullfile ([pwd filesep "inst"]));' \
	  --eval 'addpath (fullfile ([pwd filesep "src"]));' \
	  --eval '$(PKG_ADD)'

doc:

clean:
	-rm -rf $(RELEASE_DIR) $(RELEASE_TARBALL) $(HTML_TARBALL) $(HTML_DIR)
	cd src && $(MAKE) $@

distclean: clean
	-$(RM) -r inst/test

maintainer-clean: clean

#
# Recipes for testing purposes
#
src/configure: src/configure.ac
	cd src && $(SHELL) ./bootstrap

src/Makefile: src/Makefile.in src/configure
	cd src && ./configure

autoconf_target: $(AUTOCONF_TARGETS)

=== debian/changelog ===
octave-miscellaneous (1.3.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:10 +0100

octave-miscellaneous (1.3.0-1) unstable; urgency=medium

  * Team upload

  * New upstream version 1.3.0
  * d/control:
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N into the
      package's list of dependencies.
  * d/copyright: Reflect upstream changes
  * d/p/deprecated-octave-config-info.patch: Drop patch (fixed upstream)
  * d/clean: Remove files generated at build time

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 09 Nov 2019 04:08:16 -0300

octave-miscellaneous (1.2.1-6) unstable; urgency=medium

  * Team upload

  * d/rules: Use override_dh_installdeb instead of _auto_install for cleanup
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)
  * d/p/deprecated-octave-config-info.patch: New patch.
    This patch allows the build against Octave 5.1.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 05 Oct 2019 08:54:18 -0300

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               dh-octave,
+               dh-octave (>= 0.7.1),
                units
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://octave.sourceforge.io/miscellaneous/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-miscellaneous.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-miscellaneous

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

INSTDIR = $(CURDIR)/debian/octave-miscellaneous
override_dh_installdeb:
	chmod -x $$(find $(INSTDIR)/ -name physical_constant.py)
	dh_installdeb

=== debian/watch ===
version=4
http://sf.net/octave/miscellaneous-(.+)\.tar\.gz

## octave-miscellaneous 1.3.1

=== debian/changelog ===
octave-miscellaneous (1.3.1-3) unstable; urgency=medium

  * Team upload

  * d/control:
    + Drop the versioned dependency on dh-octave. Relationship >= 1.2.3 is
      satisfiable in oldoldstable, which has version 1.2.7.
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Bump Standards-Version to 4.7.2 (no changes needed)
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Update override for the Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Oct 2025 11:53:56 -0300

octave-miscellaneous (1.3.1-2) unstable; urgency=medium

  * d/p/obsolete-findstr.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 12 Mar 2025 06:42:41 -0300

octave-miscellaneous (1.3.1-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 1.3.1
  * Remove patches applied upstream
    * fix-distclean-rule.patch
    * remove-inst-private-dir.patch
  * Bump Standards-Version to 4.7.0

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/control: Update Homepage URL
  * d/copyright: Update Source URL
  * d/u/metadata: Add upstream repository URL
  * d/u/metadata: Update Bug-Database URL

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 04 Aug 2024 10:42:14 +0200

octave-miscellaneous (1.3.0-5) unstable; urgency=medium

  * Team upload

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector
  * d/p/partcnt-test-succeeds.patch: Adjust patch for application
    without fuzz
  * d/p/remove-inst-private-dir.patch: New patch
  * d/p/fix-distclean-rule.patch: Added forwarded URL

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 20:23:31 -0300

octave-miscellaneous (1.3.0-4) unstable; urgency=medium

  * Set upstream metadata fields: Archive.
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * No need for cleaning *-tst files
    + d/clean: Drop the line with src/*.cc-tst
  * Proper cleaning of the files generated by the configure script
    + d/clean: Adjust for the new situation
    + d/patches/fix-distclean-rule.patch: New patch
    + d/source/options: Drop obsolete file
  * d/copyright: Update copyright years for debian/* files
  * d/control:
    + Bump Standards-Version to 4.6.1 (no changes needed)
    + Build-depend on dh-octave >= 1.2.3. In this version
      dh_octave_clean removes the src/*-tst files and all clean the
      files generated by the configure script.

 -- Rafael Laboissière <rafael@debian.org>  Mon, 11 Jul 2022 09:38:45 -0300

octave-miscellaneous (1.3.0-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints. + octave-miscellaneous: Add Multi-Arch: same.

  [ Rafael Laboissière ]
  * d/rules: Remove file physical_constant.py from the binary package

 -- Rafael Laboissière <rafael@debian.org>  Sat, 14 Nov 2020 11:20:03 -0300

octave-miscellaneous (1.3.0-2) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Aug 2020 12:27:46 -0300

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-octave (>= 0.7.1),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-octave,
                units
-Standards-Version: 4.4.1
-Homepage: https://octave.sourceforge.io/miscellaneous/
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/miscellaneous/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-miscellaneous.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-miscellaneous
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-miscellaneous
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}, units
+Multi-Arch: same
 Description: miscellaneous tools for Octave
  This package provides miscellaneous tools for Octave, a numerical
  computation program. Included are functions to create a LaTeX file

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

INSTDIR = $(CURDIR)/debian/octave-miscellaneous
execute_after_dh_installdeb:
	rm -f $$(find $(INSTDIR)/ -name physical_constant.py)

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/miscellaneous/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/miscellaneous-@ANY_VERSION@@ARCHIVE_EXT@

## octave-miscellaneous 1.3.2

=== DESCRIPTION ===
Name: miscellaneous
Version: 1.3.2
Date: 2025-12-23
Author: various authors
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: Miscellaneous functions
Description: Miscellaneous tools that don't fit somewhere else.
Categories: Miscellaneous
Depends: octave (>= 3.8.0)
Autoload: no
SystemRequirements: units
BuildRequires: termcap-devel [Debian], libncurses5-dev, GNU units
License: GPLv3+
Url: https://gnu-octave.github.io/octave-miscellaneous/
Repository: https://github.com/gnu-octave/octave-miscellaneous/
Tracker: https://github.com/gnu-octave/octave-miscellaneous/issues

=== Makefile ===
--- 
+++ 
@@ -14,12 +14,21 @@
 TAR       ?= tar
 GREP      ?= grep
 
+vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
+ifeq ($(vcs),hg)
+release_dir_dep := .hg/dirstate
 HG           := hg
 HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
 HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
-HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
+REPO_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
+endif
+ifeq ($(vcs),git)
+release_dir_dep := .git/index
+GIT          := git
+REPO_TIMESTAMP := $(firstword $(shell $(GIT) log -n1 --date=unix --format="%ad"))
+endif
 
-TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
+TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(REPO_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
 TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)
 
 # Follow jwe suggestion on not hinreting these vars from
@@ -52,10 +61,15 @@
 	@echo "   clean            - Remove releases, html documentation, and oct files"
 	@echo "   maintainer-clean - Additionally remove all generated files"
 
-$(RELEASE_DIR): .hg/dirstate
+$(RELEASE_DIR): $(release_dir_dep)
 	@echo "Creating package version $(VERSION) release ..."
 	-rm -rf $@
+ifeq (${vcs},hg)
 	$(HG) archive --exclude ".hg*" --exclude Makefile --type files $@
+endif
+ifeq (${vcs},git)
+	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
+endif
 	cd "$@/src" && $(SHELL) ./bootstrap && $(RM) -r "autom4te.cache"
 	chmod -R a+rX,u+w,go-w $@
 
@@ -82,8 +96,6 @@
 
 release: dist html
 	@$(MD5SUM) $(RELEASE_TARBALL) $(HTML_TARBALL)
-	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
-	@echo "Execute: hg tag \"$(VERSION)\""
 
 install: $(RELEASE_TARBALL)
 	@echo "Installing package locally ..."
@@ -98,7 +110,7 @@
 	  --eval '$(PKG_ADD); ' \
 	  --eval 'addpath (fullfile ([pwd filesep "inst"]));' \
 	  --eval 'addpath (fullfile ([pwd filesep "src"]));' \
-	  --eval 'runtests ("inst"); runtests ("src");'
+	  --eval "__run_test_suite__ ({fullfile(pwd, 'inst')}, {})"
 
 run: all
 	$(OCTAVE) --silent --persist \
@@ -111,10 +123,10 @@
 
 clean:
 	-rm -rf $(RELEASE_DIR) $(RELEASE_TARBALL) $(HTML_TARBALL) $(HTML_DIR)
-	cd src && $(MAKE) $@
+	-test -f src/Makefile && $(MAKE) -C src $@ || true
 
 distclean: clean
-	-$(RM) -r inst/test
+	-test -f src/Makefile && $(MAKE) -C src $@ || true
 
 maintainer-clean: clean

=== debian/changelog ===
octave-miscellaneous (1.3.2-1) unstable; urgency=medium

  * Team upload

  * New upstream version 1.3.2
  * d/watch: Update location of upstream tarball
  * d/p/obsolete-findstr.patch: Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
  * d/s/lintian-overrides: Drop unused override for
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Sun, 25 Jan 2026 12:28:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: octave-miscellaneous
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave,
                units
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/miscellaneous/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-miscellaneous.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-miscellaneous

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/miscellaneous/
Matching-Pattern: https://github.com/gnu-octave/octave-miscellaneous/releases/download/release-.*/miscellaneous-@ANY_VERSION@@ARCHIVE_EXT@
